Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

List accessible companies

GET
/v3/partner/company
curl --request GET \
--url https://sender.api.kivra.com/v3/partner/company \
--header 'Authorization: Bearer <token>'

List the companies the client has access to

field
Array<string>
vat_number
Array<string>

If vat_number is given, the response will only include companies with VAT numbers in that list. The field parameter controls which properties to include in the response.

Media typeapplication/json
Array<object>
BaseCompany

A company object with basic fields only

object
key
CompanyKey

The key for a company

string
/^[0-9]{10}[a-f0-9]{32}$/
name
CompanyName

The name of a company

string
type
CompanyType

The company’s/organisation’s type

This is currently based on the registry holding the signatory information. Thus company really means that Bolagsverket is the registry and includes Ekonomiska föreningar as well. For riksidrottsförening it is Riksindrottsförbundet.

string
Allowed values: company riksidrottsförening
vat_number
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
Example
[
{
"key": "156077433683911cdca5fd4563bded979572454cb9",
"name": "Cornelias Café AB",
"type": "company",
"vat_number": "SE556000475501"
}
]